Package org.apache.datasketches.hive.quantiles

## Class StringsSketchToStringUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.quantiles.StringsSketchToStringUDF

    public class StringsSketchToStringUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`StringsSketchToStringUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)` Returns a human-readable summary of a given sketch

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringsSketchToStringUDF

    public StringsSketchToStringUDF()

### Method Detail

#### evaluate

    public String evaluate​(org.apache.hadoop.io.BytesWritable serializedSketch)

Returns a human-readable summary of a given sketch

Parameters:
  `serializedSketch` - serialized sketch
Returns:
  text summary